## com.google.appengine.api.taskqueue
Interface DeferredTask

All Superinterfaces:
  java.lang.Runnable, java.io.Serializable

    public interface DeferredTask

extends java.lang.Runnable, java.io.Serializable

Interface for deferred tasks. Classes implementing this interface may use `TaskOptions.payload(DeferredTask)` to serialize the `DeferredTask` into the payload of the task definition. The `Runnable.run()` method will be called when the task is received by the built in DeferredTask servlet.

Normal return from this method is considered success. Exceptions thrown from this method will indicate failure and will be processed as a retry attempt unless `DeferredTaskContext.setDoNotRetry(boolean)` is called to avoid the retry processing.

Method Summary

Methods inherited from interface java.lang.Runnable
`run`